Show / Hide Table of Contents

# AsyncCollisionExitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionExitTrigger : AsyncTriggerBase<Collision>, IUniTaskAsyncEnumerable<Collision>

##### Inheritance

System.Object → AsyncTriggerBase<Collision> → AsyncCollisionExitTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionExitAsyncHandler() |
GetOnCollisionExitAsyncHandler(CancellationToken) |
OnCollisionExitAsync() |
OnCollisionExitAsync(CancellationToken) |

### Methods

#### GetOnCollisionExitAsyncHandler()

    public IAsyncOnCollisionExitHandler GetOnCollisionExitAsyncHandler()

##### Returns

IAsyncOnCollisionExitHandler

#### GetOnCollisionExitAsyncHandler(CancellationToken)

    public IAsyncOnCollisionExitHandler GetOnCollisionExitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnCollisionExitHandler

#### OnCollisionExitAsync()

    public UniTask<Collision> OnCollisionExitAsync()

##### Returns

UniTask<Collision>

#### OnCollisionExitAsync(CancellationToken)

    public UniTask<Collision> OnCollisionExitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<Collision>

### Implements

IUniTaskAsyncEnumerable<T>